中危 Apache Tomcat内存泄漏漏洞

CVE编号

CVE-2021-42340

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-10-15
漏洞描述
Apache Tomcat是美国阿帕奇(Apache)基金会的一款轻量级Web应用服务器。该程序实现了对Servlet和JavaServer Page(JSP)的支持。
Apache Tomcat存在内存泄漏漏洞。该漏洞源于程序未对引入对象进行正确释放。攻击者可利用该漏洞导致内存泄露及执行拒绝服务攻击。

受影响系统:
Apache Tomcat >= 9.0.4
Apache Tomcat >= 8.5.60
Apache Tomcat >= 10.0.1
Apache Tomcat < 9.0.54
Apache Tomcat < 8.5.72
Apache Tomcat < 10.0.12
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://lists.apache.org/thread.html/r83a35be60f06aca2065f188ee542b9099695d57ced2e70e0885f905c%40%3Cannounce.tomcat.apache.org%3E
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache tomcat * From
(including)
10.0.1
Up to
(excluding)
10.0.12
运行在以下环境
应用 apache tomcat * From
(including)
8.5.60
Up to
(excluding)
8.5.72
运行在以下环境
应用 apache tomcat * From
(including)
9.0.4
Up to
(excluding)
9.0.54
运行在以下环境
应用 apache tomcat 10.0.0 -
运行在以下环境
应用 apache tomcat 10.1.0 -
运行在以下环境
系统 amazon_AMI tomcat8 * Up to
(excluding)
8.5.72-1.89.amzn1
运行在以下环境
系统 debian_10 tomcat8 * Up to
(including)
9.0.31-1~deb10u5
运行在以下环境
系统 debian_11 tomcat8 * Up to
(excluding)
9.0.43-2~deb11u3
运行在以下环境
系统 debian_12 tomcat8 * Up to
(including)
9.0.53-1
运行在以下环境
系统 debian_9 tomcat8 * Up to
(excluding)
8.5.14-1+deb9u2
运行在以下环境
系统 debian_sid tomcat8 * Up to
(including)
9.0.53-1
阿里云评分
6.2
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-772 对已超过有效生命周期的资源丧失索引
阿里云安全产品覆盖情况